/*
 * @Date: 2024-09-25 11:14:29
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-11-04 08:56:59
 */
import request from '@/utilsRc/request'

// 查询角色列表
export function listJobRecommend(query) {
  return request({
    url: '/process/processJobRecommend/list',
    method: 'get',
    params: query
  })
}
// 查询角色列表
export function getWorkListReq(query) {
  return request({
    // url: '/personnel/personBaseInfo/postRecommend',
    url: '/company/unitPostInfo/postElectedList',
    method: 'get',
    params: query
  })
}

// 查询角色详细
export function getJobRecommend(ids) {
  return request({
    url: '/process/processJobRecommend/' + ids,
    method: 'get'
  })
}

// 新增角色
export function addJobRecommend(data) {
  return request({
    url: '/process/processJobRecommend',
    method: 'post',
    data: data
  })
}

//岗位推荐保存和办结
export function saveJobRecommend(data) {
  return request({
    url: '/process/processJobRecommend/create',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateJobRecommend(data) {
  return request({
    url: '/process/processJobRecommend',
    method: 'put',
    data: data
  })
}

// 删除角色
export function delJobRecommend(ids) {
  return request({
    url: '/process/processJobRecommend/' + ids,
    method: 'delete'
  })
}

// 获取绑定的职位
export function getAddedJobs(params) {
  return request({
    // url: '/company/postDeliverInfo/list',
    url: '/company/unitPostInfo/no/permission/list',
    method: 'get',
    params,
  })
}

// // 获取推荐岗位
// export function getAddedJobs(params) {
//   return request({
//     url: '/personnel/personBaseInfo/postRecommend',
//     method: 'get',
//     params,
//   })
// }

